%define name	transfig
%define version	3.2.5
%define release	%mkrel 1
%if %{mdkversion} >= 200700
%define prefix	%{_prefix}
%define bindir	%{_bindir}
%define mandir	%{_mandir}
%else
%define prefix	/usr/X11R6
%define bindir	%{prefix}/bin
%define mandir	%{prefix}/man
%endif

Summary: A utility for converting FIG files (created by xfig) to other formats
Name: %{name}
Version: %{version}
Release: %{release}
License: MIT
Group: 	 Graphics
Source: http://www.xfig.org/software/xfig/%{version}/%{name}.%{version}.tar.bz2
Patch1: transfig.3.2.5-lib64support.patch
Patch2: transfig.3.2.5-use-tempfile-for-bitmap-eps.patch
URL: http://www.xfig.org
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libjpeg-devel, libpng-devel, X11-devel, imake

%description
The transfig utility creates a makefile which translates FIG (created by xfig)
or PIC figures into a specified LaTeX graphics language (for example,
PostScript(TM)). Transfig is used to create TeX documents which are portable
(i.e., they can be printed in a wide variety of environments).

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}.%{version}
%patch1 -p1 -b .lib64support
%patch2 -p1 -b .tmpepsfile

%build
xmkmf
make Makefiles

%ifarch alpha
%make EXTRA_DEFINES="-Dcfree=free"
%else
%make CDEBUGFLAGS="$RPM_OPT_FLAGS"
%endif

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install.man

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES NOTES README
%{bindir}/fig2dev
%{bindir}/fig2ps2tex
%{bindir}/fig2ps2tex.sh
%{bindir}/pic2tpic
%{bindir}/transfig
%{mandir}/man?/*
%{prefix}/lib/X11/xfig/bitmaps
%dir %{_datadir}/fig2dev/
%{_datadir}/fig2dev/*.ps


%changelog
* Wed Jan 30 2008 Lev Givon <lev@mandriva.org> 3.2.5-1mdv2008.1
+ Revision: 160291
- Update to 3.2.5 final.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Fri May 25 2007 Christiaan Welvaart <spturtle@mandriva.org> 3.2.5-0.5mdv2008.0
+ Revision: 31165
- when generating bitmaps, use a tempfile for the eps to work around a crash of gs on ppc


* Mon Feb 19 2007 Emmanuel Andry <eandry@mandriva.org> 3.2.5-0.4mdv2007.0
+ Revision: 122633
- buildrequires imake
- New alpha 7
- drop patches 3 and 4, applied upstream

  + Gwenole Beauchesne <gbeauchesne@mandriva.com>
    - Fix build with newer X.org configury
    - Bunzip2 patches
    - Import transfig

* Wed Oct 05 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 3.2.5-0.3mdk
- merge from old ppc64-branch:
  * fix fig2dev files location
  * rename text() to do_text() to fix build on dot syms platforms

* Sat Aug 20 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 3.2.5-0.2mdk
- gcc4 fixes

* Mon Mar 28 2005 Daouda LO <daouda@mandrakesoft.com> 3.2.5-0.1mdk
- release for xfig-3.2.5

* Thu Dec 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 3.2.4-4mdk
- add html docs
- add new files
- fix buildrequires

